Loading...
Searching...
No Matches
BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject Class Referenceabstract

`#include <BALL/VIEW/KERNEL/preferencesEntry.h>`

Inheritance diagram for BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject:

## Public Member Functions

| ExtendedPreferencesObject ()
virtual | ~ExtendedPreferencesObject ()
virtual bool | getValue (String &) const =0
| Overload this in derived classes!
virtual bool | setValue (const String &)=0
| Overload this in derived classes!

## Detailed Description

Base class for the more sophisticated GUI elements in a dialog, to support reading and (re)storing their state. Make sure to name all derived objects, by calling setObjectName() Otherwise (re-)storing the values wont work.

See also
  QColorTable

Definition at line 78 of file preferencesEntry.h.

## Constructor & Destructor Documentation

## ExtendedPreferencesObject()

BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject::ExtendedPreferencesObject | ( |  | ) |

inline

Definition at line 83 of file preferencesEntry.h.

## ~ExtendedPreferencesObject()

virtual BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject::~ExtendedPreferencesObject | ( |  | ) |

inline virtual

Definition at line 86 of file preferencesEntry.h.

## Member Function Documentation

## getValue()

virtual bool BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject::getValue | ( | String & |  | ) | const

pure virtual

Overload this in derived classes!

Implemented in BALL::VIEW::ColorTable, BALL::VIEW::HotkeyTable, and BALL::VIEW::ShortcutRegistry.

## setValue()

virtual bool BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject::setValue | ( | const String & |  | ) |

pure virtual

Overload this in derived classes!

Implemented in BALL::VIEW::ColorTable, BALL::VIEW::HotkeyTable, and BALL::VIEW::ShortcutRegistry.